import clr
clr.AddReference("System.Windows.Forms")
clr.AddReference("System.Drawing")

from System.Windows.Forms import Application, Form, FormBorderStyle, Label, Button, Timer
from System.Drawing import Size, Color, Font, FontStyle, ContentAlignment

class IForm(Form):
    def __init__(self):
        self.Text = 'LED0, LED1, SW1 Interactive Input/Output Form'
        self.ClientSize = Size(440, 100)
        self.FormBorderStyle = FormBorderStyle.FixedSingle
        self.MaximizeBox = False
        font = Font('MS UI Gothic', 32, FontStyle.Bold)
        ta = ContentAlignment.MiddleCenter
        self.LED0 = Label(Top=20, Left=20, Height=60, Width=120, Font=font, TextAlign=ta)
        self.LED0.Text = 'LED0'
        self.LED1 = Label(Top=20, Left=160, Height=60, Width=120, Font = font, TextAlign=ta)
        self.LED1.Text = 'LED1'
        self.SW1 = Button(Top=20, Left=300, Height=60, Width=120, Font = font, TextAlign=ta)
        self.SW1.Text = 'SW1'
        self.SW1.Click += self.OnClickSW1
        self.Controls.Add(self.LED0)
        self.Controls.Add(self.LED1)
        self.Controls.Add(self.SW1)
        self.timer = Timer()
        self.timer.Interval = 200
        self.timer.Tick += self.OnTickTimer
    def OnLoad(self, event):
        print 'Now Running...'
        self.ThrowExceptSave = common.ThrowExcept
        self.ViewOutputSave  = common.ViewOutput
        common.ThrowExcept = False
        common.ViewOutput  = False
        self.timer.Start()
        self.BringToFront()
    def OnClosed(self, event):
        self.timer.Stop()
        common.ThrowExcept = self.ThrowExceptSave
        common.ViewOutput  = self.ViewOutputSave
        print 'Quit'
    def OnTickTimer(self, sender, event):
        # The debugger (or build) object does not exist if no project is opened.
        # Or the debugger (or build) object will disappear after project is closed.
        try:
            if 0 == debugger.Watch.GetValue("PORTD.PODR.B6"):
                self.LED0.BackColor = Color.Lime
            else:
                self.LED0.BackColor = Color.DarkGray
            if 0 == debugger.Watch.GetValue("PORTD.PODR.B7"):
                self.LED1.BackColor = Color.Lime
            else:
                self.LED1.BackColor = Color.DarkGray
        except:
            pass
    def OnClickSW1(self, sender, event):
        # The debugger (or build) object does not exist if no project is opened.
        # Or the debugger (or build) object will disappear after project is closed.
        try:
            debugger.Watch.SetValue("PORTB.PIDR.B1", 0)
        except:
            pass

Application.Run(IForm())
