/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
* other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED. TO THE MAXIMUM
* EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES
* SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS
* SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
* this software. By using this software, you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2019 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/
/***********************************************************************************************************************
Includes   <System Includes> , "Project Includes"
***********************************************************************************************************************/
#include "task_function.h"
/* Start user code for import. Do not edit comment generated here */
#include "freertos_start.h"
#include "platform.h"
#include "r_irq_rx_if.h"
#include "r_irq_rx_config.h"
#include "tbrx65ndef.h"

static void my_irq4_callback( void *pdata );

/* End user code. Do not edit comment generated here */

void task_LED1(void * pvParameters)
{
/* Start user code for function. Do not edit comment generated here */

    INTERNAL_NOT_USED( pvParameters );

    irq_err_t       my_error_code;
    irq_handle_t    my_irq4_handle;

    my_error_code = R_IRQ_Open( IRQ_NUM_4, IRQ_TRIG_FALLING, IRQ_PRI_2, &my_irq4_handle, my_irq4_callback );
    if (IRQ_SUCCESS != my_error_code)
    {
        for(;;); /* TODO: Handle an error */
    }

    LED1 = LED_OFF;
    for (;;)
    {
        xSemaphoreTake( semaphore_handle_SW1_PUSH, portMAX_DELAY );

        /* Remove mechanical switch chattering */
#if defined(RENESAS_SIMULATOR_DEBUGGING)
        if (IsRenesasSimDebugMode())
        {
            /* Renesas RX Simulator */
            /* Nothing to do */
        }
        else
#endif
        {
            /* Hardware */
            vTaskDelay( pdMS_TO_TICKS( 10/*ms*/ ) );
        }
        xSemaphoreTake( semaphore_handle_SW1_PUSH, 0 );

        if (SW1_PUSH == SW1)
        {
            LED1 = ~LED1;
        }
    }

/* End user code. Do not edit comment generated here */
}
/* Start user code for other. Do not edit comment generated here */

void my_irq4_callback(void *pdata)
{
    INTERNAL_NOT_USED( pdata );

    BaseType_t sHigherPriorityTaskWoken = pdFALSE;

    xSemaphoreGiveFromISR( semaphore_handle_SW1_PUSH, &sHigherPriorityTaskWoken );
    portYIELD_FROM_ISR( sHigherPriorityTaskWoken );
}

/* End user code. Do not edit comment generated here */
